#!/bin/sh
# post install script for the Debian GNU/Linux lpr package

update-rc.d lprng defaults >/dev/null

# Fix directory permissions that might be incorrect.
for i in /var/spool/lpd /var/spool/lpd/lp /var/spool/lpd/remote
do
 if [ -d $i ]; then
   chown lp.lp $i
   chmod 2775 $i
 fi
done

/etc/init.d/lprng start

if grep -v  "^#" /etc/printcap | grep -q rp= ; then
	echo "Your printcap lists remote printers.
When these remote printers are not controlled by lprng you have to add the
bk option for these printers.

For details see printcap(5).

Press RETURN to continue."

	read 
fi
